### Virtual Method

# Gegl MetadataStore_get_value

#### Declaration [src]

    const GValue*
    _get_value (
      GeglMetadataStore* self,
      const gchar* name
    )

#### Description [src]

Return a pointer to a `GValue` with the value of the metadata variable or `NULL` if not declared or the variable does not contain a valid value. Implements gegl_metadata_store_get_value(). This method MUST be provided by the subclass.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GValue`

No description available.

The returned data is owned by the instance.